<template>
  <v-overlay
    :absolute="true"
    :value="overlay"
  >
    <div class="text-center">
      <p>{{ $t('ExplainWhySelectingAPeriod') }}</p>
      <p>{{ $t('selectAPeriodCta') }}</p>
      <p>{{ $t('hint') }}</p>
    </div>
  </v-overlay>
</template>

<script>
  export default {
    name: 'Overlay',
    props: {
      overlay: {
        type: Boolean,
        required: true,
      },
    },
    i18n: {
      messages: {
        'pt-BR': {
          ExplainWhySelectingAPeriod: 'Como todas as ações desta página estão associadas a um período, você precisa selecionar um período para continuar.',
          selectAPeriodCta: 'Selecione um período da listagem de períodos para acessar está página.',
          hint: 'Dica: a listagem de períodos fica no canto superior direito.',
        },
        'en-US': {
          ExplainWhySelectingAPeriod: 'As all actions on this page are associated with a period, you need to select a period to continue.',
          selectAPeriodCta: 'Select a period from the list of periods to access this page.',
          hint: 'Tip: the listing of periods is in the upper right corner.',
        },
      },
    },
  }
</script>
